---
title: "List startup profile versions"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › startups

`GET /v2/startups/{id}/profile/versions`

## Path parameters

- `id` (`startup-list-startup-profile-versions.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/startups/<id>/profile/versions'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/startups/<id>/profile/versions';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/startups/<id>/profile/versions"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
      "versionNumber": 0,
      "snapshot": {
        "displayName": "string",
        "stage": "idea",
        "sector": "string",
        "geography": "string",
        "raiseStatus": "not_raising",
        "tractionSummary": "string",
        "website": "string",
        "linkedinUrl": "string",
        "xHandle": "string",
        "profileVisibility": {
          "stage": "public",
          "sector": "public",
          "geography": "public",
          "raiseStatus": "public",
          "tractionSummary": "public",
          "website": "public",
          "linkedinUrl": "public",
          "xHandle": "public"
        }
      },
      "changedFields": [
        "displayName"
      ],
      "actorUserId": "string",
      "actor": {
        "id": "string",
        "name": "string",
        "email": "user@example.com"
      },
      "dataProvenance": {
        "classification": "self_reported_profile_data",
        "reportedAt": "2019-08-24T14:15:22Z",
        "reportingActor": "subject"
      },
      "changeKind": "edit",
      "changeReason": "string",
      "previousSnapshot": {
        "displayName": "string",
        "stage": "idea",
        "sector": "string",
        "geography": "string",
        "raiseStatus": "not_raising",
        "tractionSummary": "string",
        "website": "string",
        "linkedinUrl": "string",
        "xHandle": "string",
        "profileVisibility": {
          "stage": "public",
          "sector": "public",
          "geography": "public",
          "raiseStatus": "public",
          "tractionSummary": "public",
          "website": "public",
          "linkedinUrl": "public",
          "xHandle": "public"
        }
      },
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`startup-list-startup-profile-versions.response.200.data`; array<object>, required)
  - `id` (`startup-list-startup-profile-versions.response.200.data.id`; string, required)
    - format `uuid`
  - `listingId` (`startup-list-startup-profile-versions.response.200.data.listingId`; string, required)
    - format `uuid`
  - `versionNumber` (`startup-list-startup-profile-versions.response.200.data.versionNumber`; integer, required)
    - min 0
  - `snapshot` (`startup-list-startup-profile-versions.response.200.data.snapshot`; object, required)
    - `displayName` (`startup-list-startup-profile-versions.response.200.data.snapshot.displayName`; string, required)
      - minLength 1
    - `stage` (`startup-list-startup-profile-versions.response.200.data.snapshot.stage`; string, required, nullable)
      - one of `"idea"`, `"pre_seed"`, `"seed"`, `"series_a"`, `"series_b"`, `"growth"`, `"later"`
    - `sector` (`startup-list-startup-profile-versions.response.200.data.snapshot.sector`; string, required, nullable)
    - `geography` (`startup-list-startup-profile-versions.response.200.data.snapshot.geography`; string, required, nullable)
    - `raiseStatus` (`startup-list-startup-profile-versions.response.200.data.snapshot.raiseStatus`; any of, required, nullable)
      - any of: `string`, `string`
    - `tractionSummary` (`startup-list-startup-profile-versions.response.200.data.snapshot.tractionSummary`; string, required, nullable)
    - `website` (`startup-list-startup-profile-versions.response.200.data.snapshot.website`; string, required, nullable)
    - `linkedinUrl` (`startup-list-startup-profile-versions.response.200.data.snapshot.linkedinUrl`; string, required, nullable)
    - `xHandle` (`startup-list-startup-profile-versions.response.200.data.snapshot.xHandle`; string, required, nullable)
    - `profileVisibility` (`startup-list-startup-profile-versions.response.200.data.snapshot.profileVisibility`; object, required)
      - `stage` (`startup-list-startup-profile-versions.response.200.data.snapshot.profileVisibility.stage`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `sector` (`startup-list-startup-profile-versions.response.200.data.snapshot.profileVisibility.sector`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `geography` (`startup-list-startup-profile-versions.response.200.data.snapshot.profileVisibility.geography`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `raiseStatus` (`startup-list-startup-profile-versions.response.200.data.snapshot.profileVisibility.raiseStatus`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `tractionSummary` (`startup-list-startup-profile-versions.response.200.data.snapshot.profileVisibility.tractionSummary`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `website` (`startup-list-startup-profile-versions.response.200.data.snapshot.profileVisibility.website`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `linkedinUrl` (`startup-list-startup-profile-versions.response.200.data.snapshot.profileVisibility.linkedinUrl`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `xHandle` (`startup-list-startup-profile-versions.response.200.data.snapshot.profileVisibility.xHandle`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
  - `changedFields` (`startup-list-startup-profile-versions.response.200.data.changedFields`; array<string>, required)
    - one of `"displayName"`, `"stage"`, `"sector"`, `"geography"`, `"raiseStatus"`, `"tractionSummary"`, `"website"`, `"linkedinUrl"`, `"xHandle"`, `"profileVisibility"`
  - `actorUserId` (`startup-list-startup-profile-versions.response.200.data.actorUserId`; string, required)
    - minLength 1
  - `actor` (`startup-list-startup-profile-versions.response.200.data.actor`; object, required, nullable)
    - `id` (`startup-list-startup-profile-versions.response.200.data.actor.id`; string, required)
    - `name` (`startup-list-startup-profile-versions.response.200.data.actor.name`; string, required)
    - `email` (`startup-list-startup-profile-versions.response.200.data.actor.email`; string, required)
      - format `email`
  - `dataProvenance` (`startup-list-startup-profile-versions.response.200.data.dataProvenance`; any of, required, nullable)
    - any of:
      - `object`
        - `classification` (`startup-list-startup-profile-versions.response.200.data.dataProvenance.1.classification`; string, required)
          - one of `"self_reported_profile_data"`
        - `reportedAt` (`startup-list-startup-profile-versions.response.200.data.dataProvenance.1.reportedAt`; string, required)
          - format `date-time`
        - `reportingActor` (`startup-list-startup-profile-versions.response.200.data.dataProvenance.1.reportingActor`; string, required)
          - one of `"subject"`, `"authorized_entity_representative"`, `"operator"`
      - `object`
        - `classification` (`startup-list-startup-profile-versions.response.200.data.dataProvenance.2.classification`; string, required)
          - one of `"observed_public_data"`
        - `observedAt` (`startup-list-startup-profile-versions.response.200.data.dataProvenance.2.observedAt`; string, required)
          - format `date-time`
        - `sourceKind` (`startup-list-startup-profile-versions.response.200.data.dataProvenance.2.sourceKind`; string, required)
          - minLength 1
        - `sourceReference` (`startup-list-startup-profile-versions.response.200.data.dataProvenance.2.sourceReference`; string, required, nullable)
          - minLength 1
  - `changeKind` (`startup-list-startup-profile-versions.response.200.data.changeKind`; string, required)
    - one of `"edit"`, `"correction"`
  - `changeReason` (`startup-list-startup-profile-versions.response.200.data.changeReason`; string, required, nullable)
    - minLength 1
  - `previousSnapshot` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot`; object, required, nullable)
    - `displayName` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.displayName`; string, required)
      - minLength 1
    - `stage` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.stage`; string, required, nullable)
      - one of `"idea"`, `"pre_seed"`, `"seed"`, `"series_a"`, `"series_b"`, `"growth"`, `"later"`
    - `sector` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.sector`; string, required, nullable)
    - `geography` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.geography`; string, required, nullable)
    - `raiseStatus` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.raiseStatus`; any of, required, nullable)
      - any of: `string`, `string`
    - `tractionSummary` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.tractionSummary`; string, required, nullable)
    - `website` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.website`; string, required, nullable)
    - `linkedinUrl` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.linkedinUrl`; string, required, nullable)
    - `xHandle` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.xHandle`; string, required, nullable)
    - `profileVisibility` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.profileVisibility`; object, required)
      - `stage` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.profileVisibility.stage`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `sector` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.profileVisibility.sector`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `geography` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.profileVisibility.geography`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `raiseStatus` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.profileVisibility.raiseStatus`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `tractionSummary` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.profileVisibility.tractionSummary`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `website` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.profileVisibility.website`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `linkedinUrl` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.profileVisibility.linkedinUrl`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
      - `xHandle` (`startup-list-startup-profile-versions.response.200.data.previousSnapshot.profileVisibility.xHandle`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
  - `createdAt` (`startup-list-startup-profile-versions.response.200.data.createdAt`; string, required)
    - format `date-time`
- `meta` (`startup-list-startup-profile-versions.response.200.meta`; object, required)
  - `total` (`startup-list-startup-profile-versions.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`startup-list-startup-profile-versions.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`startup-list-startup-profile-versions.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`startup-list-startup-profile-versions.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`startup-list-startup-profile-versions.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`startup-list-startup-profile-versions.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startup-profile-versions.response.400.error`; object, required)
  - `code` (`startup-list-startup-profile-versions.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startup-profile-versions.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startup-profile-versions.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startup-profile-versions.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startup-profile-versions.response.401.error`; object, required)
  - `code` (`startup-list-startup-profile-versions.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startup-profile-versions.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startup-profile-versions.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startup-profile-versions.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startup-profile-versions.response.403.error`; object, required)
  - `code` (`startup-list-startup-profile-versions.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startup-profile-versions.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startup-profile-versions.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startup-profile-versions.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startup-profile-versions.response.404.error`; object, required)
  - `code` (`startup-list-startup-profile-versions.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startup-profile-versions.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startup-profile-versions.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startup-profile-versions.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startup-profile-versions.response.409.error`; object, required)
  - `code` (`startup-list-startup-profile-versions.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startup-profile-versions.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startup-profile-versions.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startup-profile-versions.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startup-profile-versions.response.500.error`; object, required)
  - `code` (`startup-list-startup-profile-versions.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startup-profile-versions.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startup-profile-versions.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startup-profile-versions.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startup-profile-versions.response.503.error`; object, required)
  - `code` (`startup-list-startup-profile-versions.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startup-profile-versions.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startup-profile-versions.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startup-profile-versions.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/startup-list-startup-profile-versions/index.md
